Skip to main content
POST
/
v1
/
assets
/
{passport_id}
/
withdraw
Typescript (SDK)
import { RaijinLabsLucidAi } from "raijin-labs-lucid-ai";

const raijinLabsLucidAi = new RaijinLabsLucidAi({
  bearerAuth: process.env["RAIJINLABSLUCIDAI_BEARER_AUTH"] ?? "",
});

async function run() {
  const result = await raijinLabsLucidAi.payments.lucidWithdrawAssetRevenue({
    passportId: "<id>",
  });

  console.log(result);
}

run();
{
  "success": true,
  "withdrawal": {
    "amount": "<string>",
    "token": "<string>",
    "status": "pending_payout"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.lucid.foundation/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Lucid API key (lk_live_... or lk_test_...)

Path Parameters

passport_id
string
required

AI asset passport identifier to withdraw revenue from

Body

application/json
token
string
default:USDC

Response

Withdrawal queued

success
boolean
required
withdrawal
object
required